require 'default:scriptcommands'


--if you already have a default scriptcommands set up, then just copy paste the 
--function and regestiercommand to your file and save it.


--------------------------------------------------------------------------------
--										RespawnAll()
--------------------------------------------------------------------------------
--this finds everything in the region thats a gizmos_spawner, then forces the respawn
--message on them. remember you have to do this on each map/region
function RespawnAll()
	local spawnerList = FindObjects(SearchObjVar("Gizmos_Search_Function","Don't Change This"))
	if(#spawnerList > 0) then
		for spawnerIndex, spawner in pairs(spawnerList) do
			spawner:SendMessage("Respawn")
		end
	end
end

RegisterCommand{ Command="respawnall", AccessLevel = AccessLevel.God, Func=RespawnAll, Desc="respawn all gizmo spawners in the region" }


